unit Editlabl;
{
  Quick Report Editor

  Copyright (c) 1997,2000 Demidov Andre (andre@lion.susu.ac.ru)

}
interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Buttons, StdCtrls, ExtCtrls;

type
  TQRLabelSetupFrm = class(TForm)
    Label1: TLabel;
    LabelText: TEdit;
    Label2: TLabel;
    FontName: TEdit;
    Button1: TButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    FontSetup: TFontDialog;
    Label3: TLabel;
    Label4: TLabel;
    LabelLeft: TEdit;
    LabelWidth: TEdit;
    LabelTop: TEdit;
    LabelHeight: TEdit;
    LabelAutoSize: TCheckBox;
    LabelTransporent: TCheckBox;
    labelaligment: TRadioGroup;
    LabelField: TComboBox;
    Label5: TLabel;
    LabelFormat: TComboBox;
    Label6: TLabel;
    Label7: TLabel;
    AutoResizeMode: TComboBox;
    procedure Button1Click(Sender: TObject);
    procedure LabelLeftExit(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  QRLabelSetupFrm: TQRLabelSetupFrm;

implementation
{$I QREPDEFS.INC}
uses qedconst;
{$R *.DFM}

procedure TQRLabelSetupFrm.Button1Click(Sender: TObject);
begin
  if FontSetup.Execute then
  begin
    FontName.Text:=FontSetup.Font.Name+', '+inttostr(FontSetup.Font.Size);
  end;
end;

procedure TQRLabelSetupFrm.LabelLeftExit(Sender: TObject);
begin
  with Sender as TEdit do
  begin
    try
{$IFDEF QR20}
      text:=FloattostrF(StrtoFloat(text),ffFixed,8,1);
{$ELSE}
      text:=inttostr(Strtoint(text));
{$ENDIF}
    except
      messagebeep($FFFF);
      SetFocus;
    end;
  end;
end;

procedure TQRLabelSetupFrm.FormShow(Sender: TObject);
begin
  FontName.Text:=FontSetup.Font.Name+', '+inttostr(FontSetup.Font.Size);
end;

procedure TQRLabelSetupFrm.FormCreate(Sender: TObject);
begin
  Caption:=LoadStr(SLabelProp);
  BitBtn1.Caption:=LoadStr(SOK);
  BitBtn2.Caption:=LoadStr(SCancel);
  Label1.Caption:=LoadStr(SText);
  Label2.Caption:=LoadStr(SFont);
  Label3.Caption:=LoadStr(SPos);
  Label4.Caption:=LoadStr(SSize);
  Label5.Caption:=LoadStr(SFieldName);
  Label6.Caption:=LoadStr(SFieldFormat);
  LabelTransporent.Caption:=LoadStr(STransparent);
  LabelAutosize.Caption:=LoadStr(SAutoSize);
  LabelAligment.Caption:=LoadStr(SAlignment);
  LabelAligment.items[0]:=LoadStr(SAlignmentLeft);
  LabelAligment.items[1]:=LoadStr(SAlignmentRight);
  LabelAligment.items[2]:=LoadStr(SAlignmentCenter);
  Label7.Caption:=LoadStr(SAutoResize);
  AutoResizeMode.Items[0]:=LoadStr(SNoChange);
  AutoResizeMode.Items[1]:=LoadStr(SChangeSize);
  AutoResizeMode.Items[2]:=LoadStr(SChangePos);
end;

end.
