unit Editmemo;
{
  Quick Report Editor

  Copyright (c) 1997,2000 Demidov Andre (andre@lion.susu.ac.ru)

}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons;

type
  TQRMemoSetupFrm = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label6: TLabel;
    LabelFormat: TComboBox;
    LabelField: TComboBox;
    Label5: TLabel;
    Label4: TLabel;
    LabelWidth: TEdit;
    LabelHeight: TEdit;
    LabelTop: TEdit;
    LabelLeft: TEdit;
    Label3: TLabel;
    Label2: TLabel;
    FontName: TEdit;
    Button1: TButton;
    FontSetup: TFontDialog;
    LabelText: TMemo;
    Label1: TLabel;
    Label7: TLabel;
    AutoResizeMode: TComboBox;
    procedure LabelLeftExit(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  QRMemoSetupFrm: TQRMemoSetupFrm;

implementation
{$I QREPDEFS.INC}
uses qedconst;
{$R *.DFM}

procedure TQRMemoSetupFrm.LabelLeftExit(Sender: TObject);
begin
  with Sender as TEdit do
  begin
    try
{$IFDEF QR20}
      text:=FloattostrF(StrtoFloat(text),ffFixed,8,1);
{$ELSE}
      text:=inttostr(Strtoint(text));
{$ENDIF}
    except
      messagebeep($FFFF);
      SetFocus;
    end;
  end;
end;

procedure TQRMemoSetupFrm.Button1Click(Sender: TObject);
begin
  if FontSetup.Execute then
  begin
    FontName.Text:=FontSetup.Font.Name+', '+inttostr(FontSetup.Font.Size);
  end;
end;

procedure TQRMemoSetupFrm.FormShow(Sender: TObject);
begin
  FontName.Text:=FontSetup.Font.Name+', '+inttostr(FontSetup.Font.Size);
end;

procedure TQRMemoSetupFrm.FormCreate(Sender: TObject);
begin
  Caption:=LoadStr(SMemoProp);
  BitBtn1.Caption:=LoadStr(SOK);
  BitBtn2.Caption:=LoadStr(SCancel);
  Label1.Caption:=LoadStr(SText);
  Label2.Caption:=LoadStr(SFont);
  Label3.Caption:=LoadStr(SPos);
  Label4.Caption:=LoadStr(SSize);
  Label5.Caption:=LoadStr(SFieldName);
  Label6.Caption:=LoadStr(SFieldFormat);
  Label7.Caption:=LoadStr(SAutoResize);
  AutoResizeMode.Items[0]:=LoadStr(SNoChange);
  AutoResizeMode.Items[1]:=LoadStr(SChangeSize);
  AutoResizeMode.Items[2]:=LoadStr(SChangePos);
end;

end.
