unit Editshap;
{
  Quick Report Editor

  Copyright (c) 1997,2000 Demidov Andre (andre@lion.susu.ac.ru)

}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TQRShapeSetupFrm = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label3: TLabel;
    ShapeLeft: TEdit;
    ShapeTop: TEdit;
    ShapeHeight: TEdit;
    ShapeWidth: TEdit;
    Label4: TLabel;
    ShapeStyle: TRadioGroup;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    PenWidth: TEdit;
    GroupBox2: TGroupBox;
    Shape1: TShape;
    Shape2: TShape;
    BrushDiagCross: TRadioButton;
    BrushSolid: TRadioButton;
    Shape3: TShape;
    BrushBdiag: TRadioButton;
    Shape4: TShape;
    BrushFdiag: TRadioButton;
    Shape5: TShape;
    Shape6: TShape;
    PenSolid: TRadioButton;
    PenDot: TRadioButton;
    PenDash: TRadioButton;
    PenDashDot: TRadioButton;
    Shape7: TShape;
    Shape8: TShape;
    ColorDialog1: TColorDialog;
    PenColorBtn: TButton;
    PenColor: TShape;
    BrushColorBtn: TButton;
    BrushColor: TShape;
    AutoResizeMode: TComboBox;
    Label1: TLabel;
    procedure GroupBox2Exit(Sender: TObject);
    procedure GroupBox1Exit(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ShapeLeftExit(Sender: TObject);
    procedure PenWidthExit(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure PenColorBtnClick(Sender: TObject);
    procedure BrushColorBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    BrushStyle: TBrushStyle;
    PenStyle: TPenStyle;
  end;

var
  QRShapeSetupFrm: TQRShapeSetupFrm;

implementation
{$I QREPDEFS.INC}
uses qedconst;
{$R *.DFM}

procedure TQRShapeSetupFrm.GroupBox2Exit(Sender: TObject);
begin
  if BrushDiagCross.checked then
    BrushStyle:=bsDiagCross
  else if BrushBDiag.checked then
    BrushStyle:=bsBDiagonal
  else if BrushFDiag.checked then
    BrushStyle:=bsFDiagonal
  else
    BrushStyle:=bsSolid;
end;

procedure TQRShapeSetupFrm.GroupBox1Exit(Sender: TObject);
begin
  if PenDash.checked then
     PenStyle:=psDash
  else if PenDot.checked then
     PenStyle:=psDot
  else if PenDashDot.checked then
    PenStyle:=psDashDot
  else
    PenStyle:=psSolid;
end;

procedure TQRShapeSetupFrm.FormShow(Sender: TObject);
begin
  if PenStyle=psDash then
     PenDash.checked:=true
  else if PenStyle=psDot then
     PenDot.checked:=true
  else if PenStyle=psDashDot then
     PenDashDot.checked:=true
  else
    PenSolid.checked:=true;
  if BrushStyle=bsDiagCross then
    BrushDiagCross.checked:=true
  else if BrushStyle=bsBDiagonal then
    BrushBDiag.checked:=true
  else if BrushStyle=bsFDiagonal then
    BrushFDiag.checked:=true
  else
    BrushSolid.checked:=true;
end;

procedure TQRShapeSetupFrm.ShapeLeftExit(Sender: TObject);
begin
  with Sender as TEdit do
  begin
    try
{$IFDEF QR20}
      text:=FloattostrF(StrtoFloat(text),ffFixed,8,1);
{$ELSE}
      text:=inttostr(Strtoint(text));
{$ENDIF}
    except
      messagebeep($FFFF);
      SetFocus;
    end;
  end;
end;

procedure TQRShapeSetupFrm.PenWidthExit(Sender: TObject);
var w:integer;
begin
  with Sender as TEdit do
  begin
    try
      w:=Strtoint(text);
      if w<=0 then w:=1;
      text:=inttostr(w);
      if w>1 then
      begin
        PenSolid.Checked:=true;
        PenSolid.Enabled:=false;
        PenDot.Enabled:=False;
        PenDashDot.Enabled:=False;
        PenDash.Enabled:=False;
      end
      else
      begin
        PenSolid.Enabled:=true;
        PenDot.Enabled:=true;
        PenDashDot.Enabled:=true;
        PenDash.Enabled:=true;
      end;
    except
      messagebeep($FFFF);
      SetFocus;
    end;
  end;
end;

procedure TQRShapeSetupFrm.FormCreate(Sender: TObject);
begin
  Caption:=LoadStr(SShapeProp);
  BitBtn1.Caption:=LoadStr(SOK);
  BitBtn2.Caption:=LoadStr(SCancel);
  Label2.Caption:=LoadStr(SWidth);
  Label3.Caption:=LoadStr(SPos);
  Label4.Caption:=LoadStr(SSize);
  PenColorBtn.Caption:=LoadStr(SColor);
  BrushColorBtn.Caption:=LoadStr(SColor);
  ShapeStyle.Caption:=LoadStr(SShape);
  ShapeStyle.Items[0]:=LoadStr(SShapeRectangle);
  ShapeStyle.Items[1]:=LoadStr(SShapeCircle);
  ShapeStyle.Items[2]:=LoadStr(SShapeVert);
  ShapeStyle.Items[3]:=LoadStr(SShapeHoriz);
  ShapeStyle.Items[4]:=LoadStr(SShapeTopBottom);
  ShapeStyle.Items[5]:=LoadStr(SShapeLeftRight);
  GroupBox1.Caption:=LoadStr(SPen);
  GroupBox2.Caption:=LoadStr(SBrush);
  Label1.Caption:=LoadStr(SAutoResize);
  AutoResizeMode.Items[0]:=LoadStr(SNoChange);
  AutoResizeMode.Items[1]:=LoadStr(SChangeSize);
  AutoResizeMode.Items[2]:=LoadStr(SChangePos);
end;

procedure TQRShapeSetupFrm.PenColorBtnClick(Sender: TObject);
begin
  ColorDialog1.Color:=PenColor.Brush.Color;
  if ColorDialog1.Execute then
    PenColor.Brush.Color:=ColorDialog1.Color;
end;

procedure TQRShapeSetupFrm.BrushColorBtnClick(Sender: TObject);
begin
  ColorDialog1.Color:=BrushColor.Brush.Color;
  if ColorDialog1.Execute then
    BrushColor.Brush.Color:=ColorDialog1.Color;
end;

end.
